%define gittag %(echo %version | cut -d. -f5)
Name:          zig
Version:       0.10.1.20230525git.230ea41
Release:       1mamba
Summary:       A general-purpose programming language and toolchain for maintaining robust, optimal and reusable software
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://ziglang.org/
Source:        https://github.com/ziglang/zig.git/master@%{gittag}/zig-%{version}.tar.bz2
#Source:        https://ziglang.org/download/%{version}/zig-%{version}.tar.xz
Patch0:        zig-0.10.1-llvm-15.patch
Patch1:        zig-0.10.1-build-increase-max_output-size.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libclang-devel
BuildRequires: liblld-devel
BuildRequires: libllvm-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libclang-devel >= 0:16.0.4-1mamba
BuildRequires: liblld-devel >= 16.0.4
BuildRequires: cmake

%description
Zig is a general-purpose programming language and toolchain for maintaining robust, optimal and reusable software.

%debug_package

%prep
%setup -q
#-D -T
#:<< __EOF
#%patch 0 -p1
#%patch 1 -p1

%build
# FIXME: PKG_CONFIG_PATH as set by rpm script causes the build to fail
export PKG_CONFIG_PATH=""
%cmake -d build \
   -DCMAKE_BUILD_TYPE=Debug \
   -DZIG_SHARED_LLVM=ON

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
# FIXME: PKG_CONFIG_PATH as set by rpm script causes the build to fail
export PKG_CONFIG_PATH=""
%makeinstall -C build

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/zig
%dir %{_prefix}/lib/zig
%{_prefix}/lib/zig/*
%doc LICENSE

%changelog
* Thu May 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.1.20230525git.230ea41-1mamba
- update to 0.10.1.20230525git.230ea41

* Thu May 25 2023 Sdk Build System <sdk@mambasoft.it> 0.10.1-2mamba
- rebuilt by autoport with build requirements: libclang-devel>=0:16.0.4-1mamba

* Sat Mar 18 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.1-1mamba
- package created using the webbuild interface
